# \QueryQueryParser

Utility Class to parse sql clauses for properly escaping identifiers

## Summary

Methods
Properties
Constants
__construct()
parseJoin()
compileJoin()
$matches
No constants found
filterArray()
No protected properties found
N/A
No private methods found
$db
$matchPatterns
N/A

File
  Query/QueryParser.php
Package
  Default
Class hierarchy
  \Query\QueryParser

## Tags

None found

## Properties

### $matches

    $matches : array

Regex matches

#### Type

array

#

## Tags

None found

### $db

    $db : \Query\Drivers\DriverInterface

DB Driver

#### Type

\Query\Drivers\DriverInterface

#

## Tags

None found

### $matchPatterns

    $matchPatterns : array

Regex patterns for various syntax components

#### Type

array

#

## Tags

None found

## Methods

### __construct()

    __construct(\Query\Drivers\DriverInterface  $db)

Constructor/entry point into parser

#### Parameters

\Query\Drivers\DriverInterface | $db |

#

## Tags

None found

### parseJoin()

    parseJoin(string  $sql) : array

Parser method for setting the parse string

#### Parameters

string | $sql |

#### Returns

array

#

## Tags

None found

### compileJoin()

    compileJoin(string  $condition) : string

Compiles a join condition after parsing

#### Parameters

string | $condition |

#### Returns

string

#

## Tags

None found

### filterArray()

    filterArray(array  $array) : array

Returns a more useful match array

#### Parameters

array | $array |

#### Returns

array

#

## Tags

None found

### QueryParser.php